Subject: Re: [manet] Questions regarding misbehavior detection

From: [email-masked]
Date: Tue, 28 Jan 2003 16:38:47 -0800

I didn't manage to CC this to the list successfully.  Sorry about that!
Since then David Holmer also responded with some excellent comments.

Mary

Zhen,

> Does the idea apply to the stage of data transmission or the one of finding 
> routes? (In the paper, it does not specify the attacks that this approach can 
> solve). I suppose it applies to the first one because only so you have the 
> list of nodes needed by monitoring procedure.

There's been a lot more work on actually securing ad hoc routing
protocols since this paper.  This paper isn't a security paper,
since there are so many attacks it is not intended for.  It is more
a sort of "robustness improvement" approach that is mostly geared
towards nodes that, say, have broken network interfaces or something
that causes them to be flaky with data packets.

> Also I heard that this method(I mean, misbehavior detection) can not detect 
> all misbehaviors. Any thought?

Certainly it cannot detect all misbehaviors!  It does nothing to secure
the routing protocol, for instance.  It entails no signing, so
there is no protection against spoofing, for example.  It was more a first
attempt to see what we can do for throughput with a little bit of machinery 
that doesn't much interfere with the routing protocol itself.

Best wishes,
Mary

_______________________________________________
manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/manet